import { useInfiniteQuery } from "@tanstack/react-query"

import { getGweets } from "../api/get-gweets"

export const useGweets = ({
    queryKey,
    type,
    id,
}: {
    queryKey?: string[]
    type?: string
    id?: string
}) => {
    const data = useInfiniteQuery(
        queryKey ?? ["gweets"],
        ({ pageParam = "" }) =>
            getGweets({
                pageParam,
                limit: 20,
                type,
                id,
            }),

        {
            getNextPageParam: (lastPage) => {
                return lastPage?.nextId ?? false
            },
            refetchOnWindowFocus: false,
        },
    )

    return data
}
