import { useMutation, useQueryClient } from "@tanstack/react-query"

import { handleRegweet } from "../api/handle-regweet"

export const useRegweet = () => {
    const QueryClient = useQueryClient()

    return useMutation(
        ({ gweetId, userId }: { gweetId: string; userId: string }) => {
            return handleRegweet(gweetId, userId)
        },

        {
            onSuccess: () => {
                QueryClient.invalidateQueries(["gweets"])
                QueryClient.invalidateQueries(["users"])
            },

            onError: (error: any) => {
                console.log(error)
            },

            onSettled: () => { },
        },
    )
}