"use client"

import { useRouter } from "next/navigation"
import { iTrendProps } from "../types"

export const Trend = ({ ranking = 1, title, gweets = 1 }: iTrendProps) => {
    const router = useRouter()

    return (
        <div
            onClick={() => { router.push(`/search?query=${title.toLowerCase()}`) }}
            className="flex justify-between items-center p-1 cursor-pointer hover:bg-trends-hover active:bg-trends-active">
            <div className="p-2">
                <div className="flex items-center gap-2 text-tertiary">
                    <span>{ranking}</span>
                    <span className="w-2 h-2 bg-tertiary rounded-full"></span>
                    <span>Trending</span>
                </div>
                <div className="text-secondary font-medium">{title}</div>
                <div className="text-tertiary">
                    {gweets} {gweets === 1 ? "gweet" : "gweets"}
                </div>
            </div>
        </div>
    )
}